org.apache.maven.scm.command.changelog

## Class AbstractChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

All Implemented Interfaces:
  ChangeLogCommand, Command

Direct Known Subclasses:
  AbstractCvsChangeLogCommand, BazaarChangeLogCommand, ClearCaseChangeLogCommand, GitChangeLogCommand, HgChangeLogCommand, LocalChangeLogCommand, PerforceChangeLogCommand, StarteamChangeLogCommand, SvnChangeLogCommand, SynergyChangeLogCommand, TfsChangeLogCommand

    public abstract class AbstractChangeLogCommand
    extends AbstractCommand
    implements ChangeLogCommand

Author:
  Trygve Laugstøl, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractChangeLogCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`protected ChangeLogScmResult` `executeChangeLogCommand(ChangeLogScmRequest request)`
`protected abstract ChangeLogScmResult` `executeChangeLogCommand(ScmProviderRepository repository, ScmFileSet fileSet, Date startDate, Date endDate, ScmBranch branch, String datePattern)` Deprecated.
`protected ChangeLogScmResult` `executeChangeLogCommand(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion startVersion, ScmVersion endVersion, String datePattern)` Deprecated.
`ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractChangeLogCommand

    public AbstractChangeLogCommand()

### Method Detail

#### executeChangeLogCommand

    @Deprecated
    protected abstract ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repository,
                                                                              ScmFileSet fileSet,
                                                                              Date startDate,
                                                                              Date endDate,
                                                                              ScmBranch branch,
                                                                              String datePattern)
                                                                       throws ScmException

Deprecated.

Throws:
  `ScmException`

#### executeChangeLogCommand

    @Deprecated
    protected ChangeLogScmResult executeChangeLogCommand(ScmProviderRepository repository,
                                                                     ScmFileSet fileSet,
                                                                     ScmVersion startVersion,
                                                                     ScmVersion endVersion,
                                                                     String datePattern)
                                                              throws ScmException

Deprecated.

Throws:
  `ScmException`

#### executeCommand

    public ScmResult executeCommand(ScmProviderRepository repository,
                                    ScmFileSet fileSet,
                                    CommandParameters parameters)
                             throws ScmException

Specified by:
  `executeCommand` in interface `ChangeLogCommand`
Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand(ChangeLogScmRequest request)
                                                  throws ScmException

Throws:
  `ScmException`